Upstream information

CVE-2016-0651 at MITRE

Description

Unspecified vulnerability in Oracle MySQL 5.5.46 and earlier allows local users to affect availability via vectors related to Optimizer.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.5 4.6
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P AV:L/AC:L/Au:S/C:N/I:N/A:C
Access Vector Network Local
Access Complexity Medium Low
Authentication Single Single
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 976341 [RESOLVED / FIXED], 980904 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libmysqlclient18 >= 10.0.25-20.6.1
  • libmysqlclient18-32bit >= 10.0.25-20.6.1
  • libmysqlclient_r18 >= 10.0.25-20.6.1
  • libmysqlclient_r18-32bit >= 10.0.25-20.6.1
  • mariadb >= 10.0.25-20.6.1
  • mariadb-client >= 10.0.25-20.6.1
  • mariadb-errormessages >= 10.0.25-20.6.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-964
SUSE Linux Enterprise Desktop 12 SP1
  • libmysqlclient18 >= 10.0.25-6.1
  • libmysqlclient18-32bit >= 10.0.25-6.1
  • libmysqlclient_r18 >= 10.0.25-6.1
  • libmysqlclient_r18-32bit >= 10.0.25-6.1
  • mariadb >= 10.0.25-6.1
  • mariadb-client >= 10.0.25-6.1
  • mariadb-errormessages >= 10.0.25-6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-963
SUSE Linux Enterprise Desktop 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • libmysqlclient18-32bit >= 10.0.27-12.1
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqlclient_r18-32bit >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Desktop 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libmysqlclient18
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.49-0.20.1
  • libmysql55client18-32bit >= 5.5.49-0.20.1
  • libmysql55client18-x86 >= 5.5.49-0.20.1
  • libmysql55client_r18 >= 5.5.49-0.20.1
  • libmysql55client_r18-32bit >= 5.5.49-0.20.1
  • libmysql55client_r18-x86 >= 5.5.49-0.20.1
  • mysql >= 5.5.49-0.20.1
  • mysql-client >= 5.5.49-0.20.1
  • mysql-tools >= 5.5.49-0.20.1
Patchnames:
slessp4-mysql-12554
SUSE Linux Enterprise Server 12
  • libmysqlclient18 >= 10.0.25-20.6.1
  • libmysqlclient18-32bit >= 10.0.25-20.6.1
  • mariadb >= 10.0.25-20.6.1
  • mariadb-client >= 10.0.25-20.6.1
  • mariadb-errormessages >= 10.0.25-20.6.1
  • mariadb-tools >= 10.0.25-20.6.1
Patchnames:
SUSE-SLE-SERVER-12-2016-964
SUSE Linux Enterprise Server 12 SP1
  • libmysqlclient18 >= 10.0.25-6.1
  • libmysqlclient18-32bit >= 10.0.25-6.1
  • mariadb >= 10.0.25-6.1
  • mariadb-client >= 10.0.25-6.1
  • mariadb-errormessages >= 10.0.25-6.1
  • mariadb-tools >= 10.0.25-6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-963
SUSE Linux Enterprise Server 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • libmysqlclient18-32bit >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
  • mariadb-tools >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Server 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
  • mariadb-tools >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libmysqlclient18
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
  • mariadb-tools >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.49-0.20.1
  • libmysql55client_r18-x86 >= 5.5.49-0.20.1
  • mysql >= 5.5.49-0.20.1
Patchnames:
sdksp4-mysql-12554
SUSE Linux Enterprise Software Development Kit 12
  • libmysqlclient-devel >= 10.0.25-20.6.1
  • libmysqlclient_r18 >= 10.0.25-20.6.1
  • libmysqld-devel >= 10.0.25-20.6.1
  • libmysqld18 >= 10.0.25-20.6.1
  • mariadb >= 10.0.25-20.6.1
Patchnames:
SUSE-SLE-SDK-12-2016-964
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmysqlclient-devel >= 10.0.25-6.1
  • libmysqlclient_r18 >= 10.0.25-6.1
  • libmysqld-devel >= 10.0.25-6.1
  • libmysqld18 >= 10.0.25-6.1
  • mariadb >= 10.0.25-6.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-963
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmysqlclient-devel >= 10.0.27-12.1
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqld-devel >= 10.0.27-12.1
  • libmysqld18 >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmysqlclient-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmysqlclient-devel >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqld-devel >= 10.0.30-28.1
  • libmysqld18 >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmysqlclient-devel
SUSE Linux Enterprise Workstation Extension 12
  • libmysqlclient_r18 >= 10.0.25-20.6.1
  • libmysqlclient_r18-32bit >= 10.0.25-20.6.1
  • mariadb >= 10.0.25-20.6.1
Patchnames:
SUSE-SLE-WE-12-2016-964
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libmysqlclient_r18 >= 10.0.25-6.1
  • libmysqlclient_r18-32bit >= 10.0.25-6.1
  • mariadb >= 10.0.25-6.1
Patchnames:
SUSE-SLE-WE-12-SP1-2016-963
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqlclient_r18-32bit >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libmysqlclient_r18
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libmysqlclient_r18
openSUSE Leap 42.1
  • libmysqlclient-devel >= 10.0.25-6.1
  • libmysqlclient18 >= 10.0.25-6.1
  • libmysqlclient18-32bit >= 10.0.25-6.1
  • libmysqlclient18-debuginfo >= 10.0.25-6.1
  • libmysqlclient18-debuginfo-32bit >= 10.0.25-6.1
  • libmysqlclient_r18 >= 10.0.25-6.1
  • libmysqlclient_r18-32bit >= 10.0.25-6.1
  • libmysqld-devel >= 10.0.25-6.1
  • libmysqld18 >= 10.0.25-6.1
  • libmysqld18-debuginfo >= 10.0.25-6.1
  • mariadb >= 10.0.25-6.1
  • mariadb-bench >= 10.0.25-6.1
  • mariadb-bench-debuginfo >= 10.0.25-6.1
  • mariadb-client >= 10.0.25-6.1
  • mariadb-client-debuginfo >= 10.0.25-6.1
  • mariadb-debuginfo >= 10.0.25-6.1
  • mariadb-debugsource >= 10.0.25-6.1
  • mariadb-errormessages >= 10.0.25-6.1
  • mariadb-test >= 10.0.25-6.1
  • mariadb-test-debuginfo >= 10.0.25-6.1
  • mariadb-tools >= 10.0.25-6.1
  • mariadb-tools-debuginfo >= 10.0.25-6.1
Patchnames:
openSUSE-2016-780
openSUSE Leap 42.2
  • libmysqlclient-devel >= 10.0.27-13.1
  • libmysqlclient18 >= 10.0.27-13.1
  • libmysqlclient_r18 >= 10.0.27-13.1
  • libmysqld18 >= 10.0.27-13.1
  • mariadb >= 10.0.27-13.1
  • mariadb-client >= 10.0.27-13.1
  • mariadb-errormessages >= 10.0.27-13.1
Patchnames:
openSUSE Leap 42.2 GA libmysqlclient-devel
openSUSE Leap 42.3
  • libmysqlclient-devel >= 10.0.30-21.1
  • libmysqlclient18 >= 10.0.30-21.1
  • libmysqlclient_r18 >= 10.0.30-21.1
  • libmysqld18 >= 10.0.30-21.1
  • mariadb >= 10.0.30-21.1
  • mariadb-client >= 10.0.30-21.1
  • mariadb-errormessages >= 10.0.30-21.1
Patchnames:
openSUSE Leap 42.3 GA libmysqlclient-devel


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP4 mysql Released
SUSE Linux Enterprise SDK 11 SP4 mysql Ignore
SUSE Linux Enterprise Server 10 SP4 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP3 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP4 mysql Released